PDA

View Full Version : Error 3112 when upgrading to UpFront 4.0.5


jhunsel
01-23-2008, 04:55 PM
I have posted this message in the appropriate UpFront forum (http://www.mygua.org/forums/showthread.php?p=9451#post9451) and received no replies. That forum doesn't appear to get a lot of traffic so I'm working my way through other related forums. Here it is again:

Tried to upgrade UpFront from 4.0.4 to 4.0.5 this morning. Made a copy of the database, etc. When launching 4.0.5 it states that it needs to update the databases, which is normal. However, it fails on Layouts with error 3112.

The eCentral KB article ID: 80671 states that I should manually compact and repair the DB from within 4.0.4. Compacting fails on both Layouts and Jobs before and after repairing.

I have tried to submit this to the RC, but they're telling me that we are time and materials for UpFront. So while that gets ironed out, I turn to the forums. Thanks.

tapin2
01-30-2008, 03:01 PM
Jeff, the source of the 3112 error is some form of corruption in your UF databases. So your choices are to narrow down what is causing the problem, AND/OR go back to previously archived db's to find one that works. This option can be time consuming, and possibly fruitless as the corruption might be simply one Section Plan, Layout Plan or a Press Layout it self.

[ONLY proceed with this option IF you have made another physical copy of your db's and stored them elsewhere.]

Another option since those do not seem to viable. Install UpFront 4.0.5 using the Full Installer, NOT the upgrade(update). During the install process it will ask if you want to backup your db's, verify that directory that it shows is NOT attached to your current db location; let the installer set up it's virgin db's. Once the install is complete, launch and license the software.

From within UF/Tools/Preferences; now point your newly installed version to the location where your db'd are stored. In this process, UF will prompt you to update the databases, hopefully the message will not appear and you will have successfully completed the upgraded.

If you did get a failure, then you still have the old 4.0.x to fall back on and it's respective working db's.

tapin2
01-30-2008, 05:16 PM
Jeff, looking over this in more detail. We need to get your db's in order to fix the issue. This should not take more then 24 hours, please contact the RC to get the ball rolling ASAP.

jhunsel
02-08-2008, 01:25 PM
Thanks for the tips. This issue was finally laid to rest this week after having the DBs repaired by the RC over the weekend.